function sol = systemMacro(param)
% calculate solution of a system of linear equations
%
% solution = system(parameters)
% 
% sol         - solution vector
% parameters  - vector of parameters of the system
% [rho, v, sigma, u, k, e, beta, i_init, x_init, pi_init]
%
% Created by Alexey Cherepnev, 06.12.2010
% Updated by Alexey Cherepnev, 05.12.2011

    rho = param(1);
    v = param(2);
    sigma = param(3);
    u = param(4);
    k = param(5);
    e = param(6);
    b = param(7);
    i_init = param(8);
    x_init = param(9);
    p_init = param(10);
    
    
    % Ax = Bb + V;
    A = [1 0 0; 0 1 1/sigma; 0 0 b];
    B = [rho 0 0; rho/sigma 1 0; 0 -k 1];
    b = [i_init; x_init; p_init];
    V = [v; v/sigma - u; -e];
    
    sol = A\(B*b) + A\V;
end